function B=GetB(triaelem,xyz_list,gauss_l1l2l3)
%GETB - compute B matrix for the diagnostci solution
%
%   Usage:
%      B=GetB(triaelem,xyz_list,gauss_l1l2l3)
% 
%   See also GETBPRIME, CREATEKMATRIX

d=GetNodalFunctionsDerivativesBasic(triaelem,xyz_list,gauss_l1l2l3);
B=[d(1,1) 0 d(1,2) 0 d(1,3) 0 ; 0 d(2,1) 0 d(2,2) 0 d(2,3) ;  d(2,1)/2 d(1,1)/2 d(2,2)/2 d(1,2)/2 d(2,3)/2 d(1,3)/2];
